Thursday, 15 December 2005

The BBC Gets It Wrong

The BBC has made a terrible hash of their article on the latest IE update. They make it appear that Firefox was in just the same situation as IE, which is completely untrue --- even fully updated IE users have been vulnerable for many days while exploit code has been circulating, but fully updated Firefox users have had the fix for nearly six months, long before any exploit code circulated. Grrrrr!


6 comments:

  1. Did u email em bout that?

    ReplyDelete
  2. Write in and complain, the BBC isn't your Rupert Murdoch mega corporation. Often people's complaints are heard and regularly displayed on the website and sometimes on the TV too.

    ReplyDelete
  3. Yeah! I was reading it just now and really got confused as Firefox only has minor security problem at the moment. I'm wondering if they're still talking about Firefox 1.0.x instead of the latest Firefox 1.5.

    ReplyDelete
  4. Robert O'Callahan16 December 2005 03:53

    Yeah, I did put a comment in one of their comment forms. We'll see if anything comes of it.

    ReplyDelete
  5. Even 1.5 has not fixed any public vulnerabilities on the Secunia page that 1.0.7 hasn't fixed.

    ReplyDelete
  6. I posted a reply to them, and an editor replied back and indicated that they didn't feel there was a factual error with the article. I've already replied to that pointing out that Mozilla doesn't have any recently patched vulnerability, but we'll see what they do.

    ReplyDelete